/*
 * SimpleConsoleJTextPane
 * ログ表示用のテキストペイン
 */
package org.logical_paradox.koike.tools.console;

import java.io.PrintWriter;

import javax.swing.JTextPane;
import javax.swing.text.StyledDocument;

import org.logical_paradox.common.swing.JTextComponentOutputStream;

public class SimpleConsoleJTextPane extends JTextPane {
	private static final long serialVersionUID = -323448221122847432L;
	private final PrintWriter pw;

	/*
	 * コンストラクタたち
	 */
	public SimpleConsoleJTextPane() {
		super();
		pw = new PrintWriter( new JTextComponentOutputStream(this), true );
		pw.println("READY");
		pw.flush();
	}
	public SimpleConsoleJTextPane(StyledDocument doc) {
		super(doc);
		pw = new PrintWriter( new JTextComponentOutputStream(this), true );
	}

	/*
	 * テキストをクリアする
	 */
	public void clean() {
		setText( "" );
	}

	/*
	 * プリントライターを返す
	 */
	public PrintWriter getWriter() {
		return pw;
	}
}

// end of JTextPane.java
